diff --git a/openbsc/Makefile.am b/openbsc/Makefile.am
index deaba0f..baaad95 100644
--- a/openbsc/Makefile.am
+++ b/openbsc/Makefile.am
@@ -8,3 +8,11 @@ pkgconfig_DATA = openbsc.pc
 
 #dist-hook:
 #	rm -rf `find $(distdir) -name .svn`
+
+install-data-hook:
+	cp src/libbsc.a /usr/local/lib
+	cp src/libvty.a /usr/local/lib
+	@mkdir -p /usr/local/include/openbsc
+	@mkdir -p /usr/local/include/vty
+	cp -a include/openbsc/* /usr/local/include/openbsc/
+	cp -a include/vty/* /usr/local/include/vty/
diff --git a/openbsc/include/vty/vty.h b/openbsc/include/vty/vty.h
index 4bb785b..009501d 100644
--- a/openbsc/include/vty/vty.h
+++ b/openbsc/include/vty/vty.h
@@ -34,6 +34,8 @@ enum event {
 #endif				/* VTYSH */
 };
 
+enum vty_type_t { VTY_TERM, VTY_FILE, VTY_SHELL, VTY_SHELL_SERV } type;
+
 struct vty {
 	FILE *file;
 
@@ -44,7 +46,7 @@ struct vty {
 	int fd;
 
 	/* Is this vty connect to file or not */
-	enum { VTY_TERM, VTY_FILE, VTY_SHELL, VTY_SHELL_SERV } type;
+	enum vty_type_t type;
 
 	/* Node status of this vty */
 	int node;
@@ -119,7 +121,7 @@ struct vty {
 };
 
 /* Small macro to determine newline is newline only or linefeed needed. */
-#define VTY_NEWLINE  ((vty->type == VTY_TERM) ? "\r\n" : "\n")
+#define VTY_NEWLINE  ((vty->type == VTY_TERM) ? (char *)"\r\n" : (char *)"\n")
 
 static inline char *vty_newline(struct vty *vty)
 {
@@ -145,6 +147,6 @@ int vty_config_unlock (struct vty *);
 int vty_shell (struct vty *);
 int vty_shell_serv (struct vty *);
 void vty_hello (struct vty *);
-
+void vty_event(enum event event, int sock, struct vty *vty);
 
 #endif
diff --git a/openbsc/src/Makefile.am b/openbsc/src/Makefile.am
index c0ac63c..5e3d998 100644
--- a/openbsc/src/Makefile.am
+++ b/openbsc/src/Makefile.am
@@ -7,13 +7,13 @@ noinst_HEADERS = vty/cardshell.h
 
 libbsc_a_SOURCES = abis_rsl.c abis_nm.c gsm_04_08.c gsm_data.c mncc.c \
 		gsm_subscriber.c msgb.c select.c chan_alloc.c timer.c debug.c db.c \
-		gsm_04_11.c telnet_interface.c subchan_demux.c \
+		gsm_04_11.c telnet_interface.c vty_interface.c subchan_demux.c \
 		trau_frame.c trau_mux.c paging.c e1_config.c e1_input.c tlv_parser.c \
 		input/misdn.c input/ipaccess.c signal.c gsm_utils.c talloc.c
 
 libvty_a_SOURCES = vty/buffer.c vty/command.c vty/vector.c vty/vty.c
 
-bsc_hack_SOURCES = bsc_hack.c vty_interface.c
+bsc_hack_SOURCES = bsc_hack.c
 bsc_hack_LDADD = libbsc.a libvty.a -ldl -ldbi $(LIBCRYPT)
 
 bs11_config_SOURCES = bs11_config.c abis_nm.c gsm_data.c msgb.c debug.c \
